#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 4

Name:           libkvkontakte
Summary:        Library for asynchronous interaction with vkontakte social network
Epoch:          3
Version: 5.0.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://community.kde.org/LibKVkontakte
Source:         https://download.kde.org/stable/libkvkontakte/%{version}/src/%{name}-%{version}.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WebKit)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5KDELibs4Support)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

#------------------------------------------------------------------------------

%package i18n
Summary:        Translations files for %{name}
Group:          System/Internationalization
BuildArch:      noarch

# ease upgrade mga6 -> mga7 (24846)
Conflicts:      kipi-plugins-vkontakte < 1:5.5.0-3

%description i18n
Translations files for %{name}.

%files i18n -f %{name}.lang

#------------------------------------------------------------------------------

%define kvkontakte_major 2
%define libkvkontakte %mklibname kf5vkontakte %kvkontakte_major

%package -n %libkvkontakte
Summary:        Library for asynchronous interaction with vkontakte social network
Group:          System/Libraries
Requires:       %{name}-i18n

%description -n %libkvkontakte
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

%files -n %libkvkontakte
%_kf5_libdir/libKF5Vkontakte.so.%{kvkontakte_major}{,.*}
%_kf5_libdir/libKF5Vkontakte.so.%{version}

#------------------------------------------------------------------------------

%define libkvkontakte_devel %mklibname kf5vkontakte -d

%package -n %libkvkontakte_devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkvkontakte = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release
Conflicts:      %name-devel < 15.08.0

%description -n %libkvkontakte_devel
KDE C++ library for asynchronous interaction with vkontakte.ru social
network via its open API.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libkvkontakte_devel
%_kf5_includedir/Vkontakte/
%_kf5_includedir/kf5vkontakte_version.h
%_kf5_libdir/cmake/KF5Vkontakte/
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 3:5.0.0-4.mga8
+ Revision: 1658870
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3:5.0.0-3.mga8
+ Revision: 1526492
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon May 20 2019 daviddavid <daviddavid> 3:5.0.0-2.mga7
+ Revision: 1398687
- ease upgrade mga6 -> mga7 (mga#24846)

* Sun Mar 31 2019 daviddavid <daviddavid> 3:5.0.0-1.mga7
+ Revision: 1383428
- new version: 5.0.0

* Sun Mar 31 2019 umeabot <umeabot> 2:15.08.0-6.mga7
+ Revision: 1383113
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2:15.08.0-5.mga7
+ Revision: 1298958
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 2:15.08.0-4.mga6
+ Revision: 961071
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 neoclust <neoclust> 2:15.08.0-3.mga6
+ Revision: 894319
- New snapshot

* Thu Aug 27 2015 neoclust <neoclust> 2:15.08.0-2.mga6
+ Revision: 870141
- Rebuild with typo fixed
- imported package libkvkontakte

